Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea
[Groovy] Class GenerateIdeaModule

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.idea.GenerateIdeaModule

    class GenerateIdeaModule
    extends XmlGeneratorTask

Generates an IDEA module file. If you want to fine tune the idea configuration

Please refer to interesting examples on idea configuration in IdeaModule.

At this moment nearly all configuration is done via IdeaModule.

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`IdeaModule` | `module` Idea module model

Method Summary
`protected void` | `configure(Module xmlModule)`
`protected Module` | `create()`
`File` | `getOutputFile()` Configures output *.iml file.
`void` | `setOutputFile(File newOutputFile)`

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### module

    IdeaModule module

  Idea module model

Method Detail

### configure

    @Override
    protected void configure(Module xmlModule)

### create

    @Override
    protected Module create()

### getOutputFile

    File getOutputFile()

  Configures output *.iml file. It's optional because the task should configure it correctly for you (including making sure it is unique in the multi-module build). If you really need to change the output file name it is much easier to do it via the idea.module.name property.

  Please refer to documentation in IdeaModule name property. In IntelliJ IDEA the module name is the same as the name of the *.iml file.

### setOutputFile

    void setOutputFile(File newOutputFile)

Gradle API 1.10